{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Story 6</title>
<link rel='stylesheet' href='{% static "story3/css/style.css"%}'>
{% endblock meta %}

{% block navbarmenus %}
<li class="nav-item">
    <a class="nav-link" href="{% url 'story6:index' %}">Daftar Kegiatan</a>
</li>
<li class="nav-item">
    <a class="nav-link" href="{% url 'story6:add_event' %}">Tambah Kegiatan</a>
</li>
<li class="nav-item">
    <a class="nav-link" href="{% url 'story3:index' %}">Back to Story 3</a>
</li>
{% if user.is_authenticated %}
<li class="nav-item">
    <a class="nav-link" href="{% url 'story9:logout' %}">Logout</a>
</li>
{% endif %}
{% endblock navbarmenus %}

{% block content %}
<div class="main">
    <div class="section">
        <h1 class="section-title-h1">Daftar Kegiatan</h1>
        <div class="underline story6-daftarkegiatan"></div>
        {% if events %}
        <div class="story6 daftar-kegiatan">
            {% for event in events %}
            <div class="story6 container-kegiatan">
                <p class="story6 nama-kegiatan">{{ event.nama }}</p>
                <p>Daftar peserta:</p>
                {% for participant in participants %}
                {% if participant.kegiatan == event %}
                    <p class="story6 peserta">{{participant.nama}}</p>
                {% endif %}
                {% endfor %}
                <a class="story5 btn-a" href="{% url 'story6:register' event.pk %}">
                    Daftar
                </a>
            </div>
            {% endfor %}
        </div>
        {% else %}
            <p>Tidak ada kegiatan.</p>
        {% endif %}
    </div>
</div>
{% endblock content %}